/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Estimated Fetal Weight Percentile Equations And Tables
 */
public enum EnumCV_EstimatedFetalWeightPercentileEquationsAndTables 
{
	// Estimated Fetal Weight Percentile Equations And Tables - CID 12016
	FWP_BY_GA_HADLOCK_1991_33183_5("33183-5"),
	FWP_BY_GA_WILLIAMS_1982_33184_3("33184-3"),
	FWP_BY_GA_ALEXANDER_1996_33185_0("33185-0"),
	MALE_SINGLETON_BWP_BY_GA_ARBUCKLE_1993_33186_8("33186-8"),
	FEMALE_SINGLETON_BWP_BY_GA_ARBUCKLE_1993_33187_6("33187-6"),
	MALE_TWINS_BWP_BY_GA_ARBUCKLE_1993_33199_1("33199-1"),
	FEMALE_TWINS_BWP_BY_GA_ARBUCKLE_1993_33188_4("33188-4"),
	FWP_BY_GA_BRENNER_1976_33189_2("33189-2"),
	FWP_BY_MA_HADLOCK_1985_33190_0("33190-0");	

	private String value;
	
	EnumCV_EstimatedFetalWeightPercentileEquationsAndTables(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
